- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# splitter_functor Struct Template Reference

Splitter for classical hopcroft minimization. More...

List of all members.

## Public Member Functions
bool | compute_states_going_in (const hstates_t &ss, letter_t l)
| True if there's states going in states with letter l.
void | operator() (hstate_t state)
| For each state, store its class (partition) and count.
void | execute (partition_t &partition, to_treat_t &to_treat, unsigned &n_partition)
| Split partition if needed.

## Detailed Description

### template<typename input_t>
struct vcsn::internal::hopcroft_minimization_det::splitter_functor< input_t >

Splitter for classical hopcroft minimization.

Functor for letter_rdeltaf.

Definition at line 51 of file minimization_hopcroft.hxx.